Bug 1871855 - user workload monitoring: remove --kubelet-service setting
Summary: user workload monitoring: remove --kubelet-service setting
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 13:06 UTC by Sergiusz Urbaniak
Modified: 2020-08-26 07:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 915 None open Bug 1871855: jsonnet/prometheus-operator-user-workload: omit kubelet-service argument 2020-08-24 14:18:40 UTC

Description Sergiusz Urbaniak 2020-08-24 13:06:01 UTC
Currently, the user workload monitoring prometheus-operator has the `--kubelet-service` setting enabled.

This setting is unnecessary and actually not wanted as it auto-creates kubelet endpoints and services.

We have to disable it.

Steps to reproduce:
1. Enable user workload monitoring

2. Invoke
$ oc -n openshift-user-workload-monitoring get deployment -o yaml | less
...
      spec:
        containers:
        - args:
          - --kubelet-service=kube-system/kubelet
...


Expected:
No `--kubelet-service` setting is added to the user workload monitoring prometheus-operator deployment.

Comment 3 Junqi Zhao 2020-08-26 07:32:13 UTC
issue is fixed with 4.6.0-0.nightly-2020-08-25-234625
# oc -n openshift-user-workload-monitoring get deployment prometheus-operator -o yaml | grep "kubelet-service"
no result


Note You need to log in before you can comment on or make changes to this bug.